## sophomorix 2.4.60-2

=== debian/changelog ===
sophomorix (2.4.60-2) babo62-testing; urgency=medium

  * some fixes (maildomain, ...)

 -- jeff <bz@adler>  Thu, 21 Feb 2019 20:14:38 +0100

sophomorix (2.4.59-2) babo-testing; urgency=medium

  * new firstnames list (ca. 1200 enrtries)

 -- bz <bz@overpower>  Thu, 10 Mar 2016 11:54:00 +0100

sophomorix (2.4.58-1) babo-testing; urgency=medium

  * sophomorix-check --analyze-coding

 -- bz <bz@overpower>  Wed, 09 Mar 2016 18:54:02 +0100

sophomorix (2.4.57-1) babo-testing; urgency=medium

  *Error numbers below 127 , Bug #554

 -- bz <bz@overpower>  Sat, 27 Feb 2016 10:35:43 +0100

sophomorix (2.4.56-2) babo-testing; urgency=medium

  * Same as 2.4.56-1, but with correct dependencies

 -- jeff <bz@adler>  Fri, 15 Jan 2016 14:23:27 +0100

sophomorix (2.4.56-1) babo-testing; urgency=medium

  * Added patches from Frank Schütte for 

 -- jeff <bz@adler>  Thu, 14 Jan 2016 00:42:22 +0100

sophomorix (2.4.55-1) babo-testing; urgency=medium

  * New upstream, various fixes

 -- bz <bz@overpower>  Wed, 07 Oct 2015 09:01:34 +0200
 

sophomorix (2.4.54-1) babo-testing; urgency=medium

  * New upstream, $reverse_loginname_creation added

 -- bz <bz@overpower>  Mon, 05 Oct 2015 19:05:48 +0200

sophomorix (2.4.53-1) babo-testing; urgency=medium

  * New upstream 2.4.53, Bugfix #487, clean ACLs in home/share

 -- bz <bz@overpower>  Mon, 05 Oct 2015 17:00:48 +0200

sophomorix (2.4.52-1) babo-testing; urgency=low

  * Added maillist configuration in /etc/sophomorix/mail/<name>

 -- root <root@bszleo.de>  Wed, 12 Aug 2015 17:15:33 +0200

sophomorix (2.4.51-1) babo-testing; urgency=medium

  * Added option sophomorix-print --back-in-time <num>
  * Fixed Bug: cannot create login cards for recently added users

 -- bz <bz@overpower>  Thu, 23 Jul 2015 01:05:28 +0200

sophomorix (2.4.50-1) babo-testing; urgency=medium

  * Added feature project passwords from Frank S.
  * Current package of Schulkonsole needed

 -- jeff <bz@adler>  Wed, 15 Jul 2015 16:57:30 +0200

sophomorix (2.4.49-1) babo-testing; urgency=low

  * Added variable in sophomorix.conf

 -- root <root@bszleo.de>  Wed, 01 Jul 2015 18:00:11 +0200

sophomorix (2.4.48-2) babo; urgency=medium

  * Added alternative repair.directories

 -- jeff <bz@adler>  Wed, 03 Jun 2015 11:29:42 +0200

sophomorix (2.4.48-1) babo; urgency=medium

  * New upstraem Release: Disabled bind mounts, updated sophomorix-janitor 

 -- jeff <bz@adler>  Mon, 01 Jun 2015 00:38:33 +0200

sophomorix (2.4.47-1) babo; urgency=medium

  * New upstream release (Do not create __tauschen wehen adding, moving, ...)

 -- bz <bz@overpower>  Thu, 18 Sep 2014 00:41:42 +0200

sophomorix (2.4.46-1) babo; urgency=medium

  * New upstream release (Bugfix #353 completed)

 -- bz <bz@overpower>  Wed, 03 Sep 2014 16:45:10 +0200

sophomorix (2.4.45-1) babo; urgency=medium

  * New upstream release (Bugfix #353)

 -- bz <bz@overpower>  Wed, 03 Sep 2014 12:54:53 +0200

sophomorix (2.4.44-1) babo; urgency=low

  * New upstream release

 -- root <root@bszleo.de>  Thu, 07 Aug 2014 10:46:09 +0200

sophomorix (2.4.43-1) precise-testing; urgency=medium

  * New upstream release

 -- bz <bz@overpower>  Thu, 07 Aug 2014 07:23:36 +0200

sophomorix (2.4.42-1) precise-testing; urgency=low

  * New upstream. Repairing homedirecories correctly

 -- root <root@bszleo.de>  Fri, 01 Aug 2014 11:55:41 +0200

sophomorix (2.4.41-1) babo; urgency=medium

  * Fixed Bug #319

 -- bz <bz@overpower>  Wed, 23 Jul 2014 19:38:43 +0200

sophomorix (2.4.40-1) precise-testing; urgency=low

  * Moved documentation to wiki

 -- bz <bz@adler>  Fri, 25 Apr 2014 20:05:47 +0200

sophomorix (2.4.39-1) precise-testing; urgency=low

  * Closes Bug #173 and #233

 -- bz <bz@overpower>  Tue, 25 Mar 2014 17:34:37 +0100

sophomorix (2.4.38-1) precise-testing; urgency=low

  * Closes Bug #51 and #260

 -- bz <bz@overpower>  Mon, 10 Feb 2014 00:17:28 +0100

sophomorix (2.4.37-2) precise; urgency=low

  * Closes Bug #227

 -- bz <bz@overpower>  Thu, 05 Dec 2013 10:16:35 +0100

sophomorix (2.4.36-2) precise; urgency=low

  * Closes Bug #214

 -- bz <bz@overpower>  Sat, 12 Oct 2013 18:23:13 +0200

sophomorix (2.4.35-1) precise-unstable; urgency=low

  * Experimental Version for login rename

 -- bz <bz@overpower>  Fri, 11 Oct 2013 19:14:04 +0200

sophomorix (2.4.33-1) precise; urgency=low

  * Bugfix Release

 -- bz <bz@overpower>  Mon, 07 Oct 2013 23:19:26 +0200

sophomorix (2.4.32-1) precise; urgency=low

  * Bugfix Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Wed, 02 Oct 2013 14:55:13 +0200

sophomorix (2.4.31-1) precise; urgency=low

  * Bugfix Release

 -- bz <bz@overpower>  Tue, 01 Oct 2013 16:15:35 +0200

sophomorix (2.4.30-1) precise; urgency=low

  * Bugfix Release

 -- root <root@bszleo.de>  Wed, 11 Sep 2013 14:11:13 +0200

sophomorix (2.4.29-1) precise-testing; urgency=low
 
  * Bugfix Release 

 -- bz <bz@overpower>  Tue, 13 Aug 2013 15:27:30 +0200

sophomorix (2.4.28-1) precise; urgency=low

  * Löschen von /var/lib/sophomorix/print-data/$HOME per cronjob (Bugfix #127)

 -- bz <bz@overpower>  Sat, 15 Jun 2013 18:55:06 +0200

sophomorix (2.4.27-1) precise; urgency=low

  * bind mounts for administrator, domadmin (Bugfix #135)
  * removed lintian errors

 -- bz <bz@overpower>  Thu, 02 May 2013 23:27:26 +0200

sophomorix (2.4.26-2) precise; urgency=low

  * New dependencies

 -- bz <jeffbeck@web.de>  Tue, 16 Apr 2013 21:02:57 +0200

sophomorix (2.4.26-1) precise; urgency=low

  * New upstream release (Bugfix #59, #111)
  * New Option sophomorix-user --new-class class (#128)

 -- bz <jeffbeck@web.de>  Tue, 16 Apr 2013 20:47:54 +0200

sophomorix (2.4.25-1) precise; urgency=low

  * New upstream release (Bugfix #126)

 -- bz <jeffbeck@web.de>  Mon, 15 Apr 2013 20:21:28 +0200

sophomorix (2.4.24-2) precise; urgency=low

  * Pakage for ubuntu

 -- bz <jeffbeck@web.de>  Tue, 05 Mar 2013 23:56:35 +0100

sophomorix (2.4.24-1) precise; urgency=low

  *  New upstream release (Bugfix #95)



## sophomorix 2.4.60-3

=== Makefile ===
#!/usr/bin/make
# This is the sophomorix Makefile
# $Id$
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
DESTDIR=

# Installing from this Makefile
#====================================
# if you use this Makefile to install sophomorix (instead of 
# installing the debian-Package) you will miss:
#   1. html-documentation
#   2. manpages
# This is because debian has scripts to install 1. and 2. VERY easily
# see debian/rules -> dh_installman, dh-installdocs



# Debian
#====================================

# Homes
HOME=$(DESTDIR)/home

# Developement
USERROOT=$(DESTDIR)/root

# Data
LIBDIR=$(DESTDIR)/var/lib/sophomorix

# Cache
CACHEDIR=$(DESTDIR)/var/cache/sophomorix

# Logs
LOGDIR=$(DESTDIR)/var/log/sophomorix

# Perl modules
PERLMOD=$(DESTDIR)/usr/share/perl5/Sophomorix

# Dokumentation
DOCDEBDIR=$(DESTDIR)/usr/share/doc

# Developer
CONF=$(DESTDIR)/etc/sophomorix

# Schema
SCHEMA=$(DESTDIR)/etc/ldap/schema

# Developer
DEVELCONF=$(DESTDIR)/usr/share/sophomorix

# Encoding-data
ENCODING=$(DESTDIR)/usr/share/sophomorix/encoding-data

# Language
LANGUAGE=$(DESTDIR)/usr/share/sophomorix/lang

# Filter
FILTER=$(DESTDIR)/usr/share/sophomorix/filter

# SAMBADEBCONFDIR fr Debian 
SAMBADEBCONFDIR=$(DESTDIR)/etc/samba

# SAMBA Debian 
SAMBADIR=$(DESTDIR)/var/lib/samba
SAMBAROOTPREEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-preexec.d
SAMBAROOTPOSTEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-postexec.d

# Config-templates
CTEMPDIR=$(DESTDIR)/usr/share/sophomorix/config-templates

# Testfiles
DEVELOPERDIR=$(DESTDIR)/usr/share/sophomorix-developer

# sophomorix-virusscan
#VIRUSSCAN=$(DESTDIR)/usr/share/sophomorix-virusscan

# Tools
TOOLS=$(DESTDIR)/root/sophomorix-developer

# dbconfig-common/install
DBINSTALL=$(DESTDIR)/usr/share/dbconfig-common/data/sophomorix-pgldap/install

# dbconfig-common/install
DBADMININSTALL=$(DESTDIR)/usr/share/dbconfig-common/data/sophomorix-pgldap/install-dbadmin

# dbconfig-common/upgrade
# obsolete ???
DBUPGRADE=$(DESTDIR)/usr/share/dbconfig-common/data/sophomorix-pgldap/upgrade



all: install-base install-pgldap install-sys-pgldap install-developer install-virusscan

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make'
	@echo '      make an installation of files to the local debian system'
	@echo ' '
	@echo '   make olddeb'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make lenny'
	@echo '      create a debian lenny package'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package for ubuntu precise'
	@echo ' '

# build a package
olddeb:
	### deb
	### Prepare to build an debian etch package
	cp sophomorix-pgldap/config-pg/sophomorix-admin.sql.etch sophomorix-pgldap/config-pg/sophomorix-admin.sql
	cp debian/control.etch debian/control
	cp sophomorix-pgldap/config-ldap/ldap.conf.template.etch sophomorix-pgldap/config-ldap/ldap.conf.template
	cp sophomorix-pgldap/config-ldap/slapd-standalone.conf.template.etch sophomorix-pgldap/config-ldap/slapd-standalone.conf.template
	@echo 'Did you do a dch -i ?'
	@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version with: git tag V-x.y.z'
	@echo ''

deb:
	### Prepare to build an ubuntu package
	cp sophomorix-pgldap/config-pg/sophomorix-admin.sql.ubuntu sophomorix-pgldap/config-pg/sophomorix-admin.sql
	cp debian/control.ubuntu debian/control
	cp sophomorix-pgldap/config-ldap/ldap.conf.template.ubuntu sophomorix-pgldap/config-ldap/ldap.conf.template
	cp sophomorix-pgldap/config-ldap/slapd-standalone.conf.template.ubuntu sophomorix-pgldap/config-ldap/slapd-standalone.conf.template
	@echo 'Did you do a dch -i ?'
	@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version with: git tag V-x.y.z'
	@echo ''

lenny:
	### Prepare to build an lenny package
	cp sophomorix-pgldap/config-pg/sophomorix-admin.sql.lenny sophomorix-pgldap/config-pg/sophomorix-admin.sql
	cp debian/control.lenny debian/control
	cp sophomorix-pgldap/config-ldap/ldap.conf.template.lenny sophomorix-pgldap/config-ldap/ldap.conf.template
	cp sophomorix-pgldap/config-ldap/slapd-standalone.conf.template.lenny sophomorix-pgldap/config-ldap/slapd-standalone.conf.template
	@echo 'Did you do a dch -i ?'
	@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version with: git tag V-x.y.z'
	@echo ''


clean: clean-doc clean-debian

clean-debian:
	rm -rf  debian/sophomorix
	rm -rf  debian/sophomorix-virusscan

# sophomorix-base
install-base:
	### install-base
# some dirs
	@install -d -m700 -oroot -groot $(LIBDIR)
	@install -d -m700 -oroot -groot $(LIBDIR)/tmp
	@install -d -m700 -oroot -groot $(LIBDIR)/lock
	@install -d -m700 -oroot -groot $(LIBDIR)/print-data
	@install -d -m755 -oroot -groot $(CACHEDIR)
	@install -d -m700 -oroot -groot $(LOGDIR)
	@install -d -m700 -oroot -groot $(LOGDIR)/user
	@install -d -m700 -oroot -groot $(CTEMPDIR)
	@install -d -m700 -oroot -groot $(CTEMPDIR)/samba/netlogon
	@install -d -m700 -oroot -groot $(CTEMPDIR)/apache
# scripts
	@install -d $(DESTDIR)/usr/sbin
	@install -oroot -groot --mode=0744 sophomorix-base/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
# teacher scripts
	@install -d $(DESTDIR)/usr/bin





# group owner is changed in postinst-script to lehrer
	@install -oroot -groot --mode=4750 sophomorix-base/scripts-teacher/sophomorix-*[a-z1-9] $(DESTDIR)/usr/bin
# installing configs for root
	@install -d -m755 -oroot -groot $(CONF)/user
	@install -oroot -groot --mode=0644 sophomorix-base/config/sophomorix.conf $(CONF)/user
	@install -oroot -groot --mode=0600 sophomorix-base/config/quota.txt $(CONF)/user
	@install -oroot -groot --mode=0600 sophomorix-base/config/mailquota.txt $(CONF)/user
	@install -d -m755 -oroot -groot $(CONF)/project
	@install -oroot -groot --mode=0644 sophomorix-base/config/projects.create $(CONF)/project
	@install -oroot -groot --mode=0644 sophomorix-base/config/projects.update $(CONF)/project
# italc
	@install -d -m755 -oroot -groot $(CONF)/italc
	@install -oroot -groot --mode=0644 sophomorix-base/config/italcrooms.conf $(CONF)/italc
	@install -d -m755 -oroot -groot $(CONF)/italc/private
	@install -d -m755 -oroot -groot $(CONF)/italc/private/admin
	@install -d -m755 -oroot -groot $(CONF)/italc/private/supporter
	@install -d -m755 -oroot -groot $(CONF)/italc/private/teacher
# config-templates
	@install -oroot -groot --mode=0600 sophomorix-base/config-templates/*.txt $(CTEMPDIR)
	@install -oroot -groot --mode=0600 sophomorix-base/config-templates/*.map $(CTEMPDIR)
	@install -oroot -groot --mode=0600 sophomorix-base/config/sophomorix.conf $(CTEMPDIR)
# configs for developers
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-base/config-devel/sophomorix-devel.conf $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-base/config-devel/sophomorix-support.conf $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repair.directories $(DEVELCONF)/devel
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/repair-directories-alt
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repair-directories-alt/README $(DEVELCONF)/devel/repair-directories-alt
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repair-directories-alt/repair.directories-6.0-stable $(DEVELCONF)/devel/repair-directories-alt
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repair-directories-alt/repair.directories-6.1-stable $(DEVELCONF)/devel/repair-directories-alt
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repair-directories-alt/repair.directories-6.1 $(DEVELCONF)/devel/repair-directories-alt
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.administrator $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.teacher $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.student $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.examaccount $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.attic $(DEVELCONF)/devel
	@install -oroot -groot --mode=0600 sophomorix-base/config-devel/repairhome.domcomp $(DEVELCONF)/devel
	@install -d -m755 -oroot -groot $(LANGUAGE)
	@install -oroot -groot --mode=0644 sophomorix-base/lang/sophomorix-lang.*[a-z] $(LANGUAGE)
	@install -oroot -groot --mode=0644 sophomorix-base/lang/errors.*[a-z] $(LANGUAGE)
	@install -d -m755 -oroot -groot $(LANGUAGE)/latex-templates
	@install -oroot -groot --mode=0644 sophomorix-base/latex-templates/*.tex $(LANGUAGE)/latex-templates
# Encoding-data
	@install -d -m755 -oroot -groot $(ENCODING)
	@install -oroot -groot --mode=0644 sophomorix-base/encoding-data/*.txt $(ENCODING)
# filter scripts
	@install -d -m755 -oroot -groot $(FILTER)
	@install -oroot -groot --mode=0755 sophomorix-base/filter/*-filter $(FILTER)
	@install -oroot -groot --mode=0755 sophomorix-base/filter/*-schueler $(FILTER)
# Copy the module
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 sophomorix-base/modules/Sophomorix*[A-Za-z1-9].pm $(PERLMOD)
# for samba
	@install -d -m700 -oroot -groot $(DESTDIR)/home/samba/netlogon
	@install -oroot -groot --mode=0600 sophomorix-base/samba/netlogon/*.bat.template $(CTEMPDIR)/samba/netlogon
	@install -d -m700 -oroot -groot $(SAMBAROOTPREEXEC)
	@install -oroot -groot --mode=0700 sophomorix-base/samba/root-preexec/sophomorix-root-preexec $(SAMBAROOTPREEXEC)
	@install -d -m700 -oroot -groot $(SAMBAROOTPOSTEXEC)
	@install -oroot -groot --mode=0700 sophomorix-base/samba/root-postexec/sophomorix-root-postexec $(SAMBAROOTPOSTEXEC)

install-files:
	### install-files
##### lib for managing the user database in plain files
	install -oroot -groot --mode=0744 sophomorix-files/scripts/sophomorix*[a-z1-9] $(DESTDIR)/usr/sbin
##### Copy the module
	install -d -m755 -oroot -groot $(PERLMOD)
	install -oroot -groot --mode=0644 sophomorix-files/modules/Sophomorix*[a-z1-9] $(PERLMOD)

install-pgldap:
	### install-pgldap
# patch sophomorix.sql.template BEFORE installation
# ./buildhelper/sopho-sqldbmod
# installing lib for managing the user database in pgldap
# scripts
	@install -d $(DESTDIR)/usr/sbin
	@install -oroot -groot --mode=0744 sophomorix-pgldap/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
# postgres2slapd scripts
	@install -oroot -groot --mode=0744 sophomorix-pgldap/postgres2slapd/dump-postgres-for-ldap.sh $(DESTDIR)/usr/sbin
	@install -oroot -groot --mode=0744 sophomorix-pgldap/postgres2slapd/gen-ldif-from-sql.perl $(DESTDIR)/usr/sbin
# Copy the module
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 sophomorix-pgldap/modules/Sophomorix*[a-z1-9] $(PERLMOD)
# Copy the config
	@install -d -m755 -oroot -groot $(CONF)/pgldap/
	@install -oroot -groot --mode=0644 sophomorix-pgldap/config/pgldap.conf $(CONF)/pgldap/
# Copy the ldap config-templates
	@install -d -m755 -oroot -groot $(CTEMPDIR)/ldap/
	@install -oroot -groot --mode=0644 sophomorix-pgldap/config-ldap/*.template $(CTEMPDIR)/ldap/
	@install -d -m755 -oroot -groot $(CTEMPDIR)/ldap/oneiric/15_ldap
	@install -oroot -groot --mode=0644 sophomorix-pgldap/config-ldap/oneiric/15_ldap/* $(CTEMPDIR)/ldap/oneiric/15_ldap
# Copy the upgrade scripts
	@install -d -m755 -oroot -groot $(CTEMPDIR)/scripts/
	@install -d -m755 -oroot -groot $(CTEMPDIR)/scripts/upgrade/
	@install -oroot -groot --mode=0744 sophomorix-base/upgrade-scripts/*.upgrade $(CTEMPDIR)/scripts/upgrade/
# Copy the pg config-templates
	@install -d -m755 -oroot -groot $(CTEMPDIR)/pg/
	@install -oroot -groot --mode=0644 sophomorix-pgldap/config-pg/*.template $(CTEMPDIR)/pg/

=== debian/changelog ===
sophomorix (2.4.60-3) babo62; urgency=medium

  * some fixes (maildomain, ...)

 -- jeff <bz@adler>  Thu, 21 Feb 2019 20:14:38 +0100

=== debian/control ===
# This is a Test control file with different dependencies which fit ubuntu/lenny
# with the following changes:
# 1) tetex is replaced by texlive
# 2) Todo: dependencies on a specific package version are cancelled 
#    (rsync instead of  rsync (>=2.6.3))
# 3) Todo: dependencies on 2 postgres versions are cancelled
# adding this line for testing

Source: sophomorix
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>> 3.0.0), man2html , docbook-utils , fakeroot, docbook, devscripts
Standards-Version: 3.5.2



Package: sophomorix2
Architecture: all
Suggests: sophomorix-doc-html
Depends:  sophomorix-base (>=2.4.60), sophomorix-pgldap (>=2.4.60)
Description: sophomorix user adminitration meta package
 This package contains all the components necessary to add to your
 Debian GNU/Linux box a powerful user administration


Package: sophomorix-base
Architecture: all
Suggests: sophomorix-doc-html
Pre-Depends:  samba 
Depends:  libdate-calc-perl, libexpect-perl, libterm-readkey-perl, libterm-readline-perl-perl, quota, libquota-perl, libstring-approx-perl, libsys-filesystem-perl, libmailtools-perl, libimap-admin-perl, texlive-base-bin, liblchown-perl, texlive-latex-base, texlive-latex-extra, texlive-pstricks, texlive-lang-german, texlive-latex-recommended, gs-common, rsync, zip, bzip2, lsb-release, libnet-mac-perl
Description: scripts for sophomorix
 sophomorix-base contains all database independent scripts to run sophomorix
 on the console. You additionally need a package to access the postgres 
 database (i.e. sophomorix-pgldap)


# for Debian ubuntu
Package: sophomorix-pgldap
Architecture: all
Suggests: sophomorix-doc-html
Pre-Depends: postgresql , slapd 
Depends:  sophomorix-base, libpam-ldap , ldap-utils , libnss-ldap ,smbldap-tools , libcrypt-smbhash-perl , libdbd-pg-perl, libnet-ldap-perl, nscd  
Provides: sophomorix-db
Description: postgresql database with ldap access for sophomorix
 Database module to store the Sophomorix database in postgresql and make 
 the database available in openldap.


Package: sophomorix-developer
Architecture: all
Suggests: perl-doc
Depends:  sophomorix2 (>=2.4.60)
Description: Test suite for sophomorix
 Scripts to test sophomorix on a runnig system. These scripts can screw up 
 your server!


Package: sophomorix-doc-html
Architecture: all
Depends: 
Description: Html documentation for sophomorix
 This Package contains the complete documentation for sophomorix


Package: sophomorix-virusscan
Architecture: all
Depends: sophomorix2 (>=2.4.60), clamav
Description: script to scan large amounts of data for viruses with clamscan

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)
	#/usr/bin/docbook-to-man debian/sophomorix.sgml > sophomorix.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	@# dh_clean -k # deprecated, use dh_prep instead
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/sophomorix.
	$(MAKE) install-base DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-files DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-sys-files DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-pgldap DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-sys-pgldap DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-developer DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) install-virusscan DESTDIR=$(CURDIR)/debian/sophomorix
	$(MAKE) doc DESTDIR=$(CURDIR)/debian/sophomorix


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
	dh_installdocs -psophomorix2 changelog-sophomorix-src
	dh_installdocs -psophomorix-doc-html sophomorix-doc/html
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for sophomorix-base
	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
	dh_installman -psophomorix-base sophomorix-base/man/en/sophomorix-check.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix.conf.de.5
	dh_installman -psophomorix-base sophomorix-base/man/de/schueler.txt.de.5
	dh_installman -psophomorix-base sophomorix-base/man/de/lehrer.txt.de.5
	dh_installman -psophomorix-base sophomorix-base/man/de/italcrooms.conf.de.5
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-check.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-add.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-move.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-kill.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-print.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-subclass.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-project.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-class.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-user.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-useradd.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-usermod.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-groupadd.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-groupdel.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-room.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-setup.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-quota.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-mail.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-repair.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-teach-in.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-passwd.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-www.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-workstation.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-support.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-janitor.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-imp-expand-fromaddress.de.8
	dh_installman -psophomorix-base sophomorix-base/man/de/sophomorix-teacher.de.1
# Install manpages for sophomorix-pgldap
	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-setup-pgldap.de.8
	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-dump-pg2ldap.de.8
	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-sync-check.de.8
# Install manpages for sophomorix-developer
	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test.de.8
	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test-unid.de.8
	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test-bunchofusers.de.8
# Install manpages for sophomorix-virusscan
	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan.de.8
	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan.conf.de.5
	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan-excludes.conf.de.5
#	dh_installinfo
#	dh_undocumented
	dh_install --sourcedir=debian/sophomorix
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
